## org.plovr.webdriver
Class ReflectionWebDriverFactory

    java.lang.Object
      org.plovr.webdriver.ReflectionWebDriverFactory

All Implemented Interfaces:
  WebDriverFactory

    public final class ReflectionWebDriverFactory

extends java.lang.Object
implements WebDriverFactory

Constructor Summary
`ReflectionWebDriverFactory(java.lang.String webDriverClassName)`

Method Summary
`org.openqa.selenium.WebDriver` `newInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReflectionWebDriverFactory

    public ReflectionWebDriverFactory(java.lang.String webDriverClassName)

Parameters:
  `webDriverClassName` - a fully-qualified class name of a class that implements `WebDriver`, such as "org.openqa.selenium.firefox.FirefoxDriver" or "org.openqa.selenium.htmlunit.HtmlUnitDriver"

Method Detail

### newInstance

    public org.openqa.selenium.WebDriver newInstance()

  Specified by:
    `newInstance` in interface `WebDriverFactory`